commit 01cd433
Author:     Noah Misch <noah@leadboat.com>
AuthorDate: Sun Feb 26 22:23:22 2017 -0500
Commit:     Noah Misch <noah@leadboat.com>
CommitDate: Sun Feb 26 22:23:22 2017 -0500

    Fix comment about length of text, bytea, etc.
    
    When commit 3e23b68dac006e8deb0afa327e855258df8de064 introduced
    single-byte varlena headers, it rendered this comment incomplete.

diff --git a/src/include/c.h b/src/include/c.h
index 947bd98..69245c5 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -443,7 +443,7 @@ struct varlena
 /*
  * These widely-used datatypes are just a varlena header and the data bytes.
  * There is no terminating null or anything like that --- the data length is
- * always VARSIZE(ptr) - VARHDRSZ.
+ * always VARSIZE_ANY_EXHDR(ptr).
  */
 typedef struct varlena bytea;
 typedef struct varlena text;
